.\"#############################################################################
.\"$Id: libipmidetect.3.pre.in,v 1.13 2010-02-08 22:02:30 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-228523
.\"
.\"  This file is part of Ipmidetect, tools and libraries for detecting
.\"  IPMI nodes in a cluster. For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmidetect is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"
.\"  Ipmidetect is distributed in the hope that it will be useful, but WITHOUT
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
.\"  for more details.
.\"
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmidetect.  If not, see <http://www.gnu.org/licenses/>.
.\"############################################################################
.TH LIBIPMIDETECT 3 "@ISODATE@" "LIBIPMIDETECT @VERSION@" "LIBIPMIDETECT"
.SH "NAME"
libipmidetect \- a library of functions to determine if a node is detected
or undetected
.SH "SYNOPSIS"
.B #include <ipmidetect.h>
.sp
.BI "ipmidetect_t ipmidetect_handle_create(void);"
.sp
.BI "int ipmidetect_handle_destroy(ipmidetect_t handle);"
.sp
.BI "int ipmidetect_load_data(ipmidetect_t handle, const char *hostname, int port, int timeout_len);"
.sp
.BI "int ipmidetect_errnum(ipmidetect_t handle);"
.sp
.BI "char *ipmidetect_strerror(int errnum);"
.sp
.BI "char *ipmidetect_errormsg(int errnum);"
.sp
.BI "void ipmidetect_perror(ipmidetect_t handle, const char *msg);"
.sp
.BI "int ipmidetect_get_detected_nodes_string(ipmidetect_t handle, char *buf, int buflen);"
.sp
.BI "int ipmidetect_get_undetected_nodes_string(ipmidetect_t handle, char *buf, int buflen);"
.sp
.BI "int ipmidetect_is_node_detected(ipmidetect_t handle, const char *node);"
.sp
.BI "int ipmidetect_is_node_undetected(ipmidetect_t handle, const char *node);"
.br
.SH "DESCRIPTION"
.B Libipmidetect 
implements a high level API for determing which nodes in
a cluster do or do-not support IPMI.  This library is primarily useful
for detecting whe nodes are removed from a cluster for servicing, so
that IPMI applications can avoid unnecessary timeouts.
The library interacts with the 
.B ipmidetectd(8)
daemon.

.SH "FILES"
/usr/include/ipmidetect.h
#include <@top_srcdir@/man/manpage-common-reporting-bugs.man>
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2007 The Regents of the University of California.
#include <@top_srcdir@/man/manpage-common-gpl-library-text.man>
.SH "SEE ALSO"
ipmidetect(8), ipmidetectd(8)
#include <@top_srcdir@/man/manpage-common-homepage.man>
